/*
 *
 * IO routines 
 *
 */

#ifndef FILEIO
#define	FILEIO

#include "Network.hpp"
#include "NetworkFactory.hpp"
#include <string>

namespace SPN {
	
	void saveNetwork(Network *network, std::string fileName);
	void loadNetwork(Network *network, std::string fileName, NetworkFactory &factory);
	void loadNetworkPDformat(Network *network, std::string fileName, int xDim, int yDim, NetworkFactory &factory);
	void readVectorList(std::string fileName, DoubleVec2 &list);
	DoubleVec2 readVectorList(std::string fileName);
	void writeVectorList(std::string fileName, DoubleVec2 &list);

}

#endif //FILEIO