/*
 *
 * Makes an SPN representing a GMM with diagonal covariance matrices
 *
 */


#ifndef GMMFACTORY_HPP
#define	GMMFACTORY_HPP

#include "NetworkFactory.hpp"

namespace SPN {

	class GMMFactory : public NetworkFactory {
	private:

	protected:
		unsigned numDims_;
		unsigned numComponents_;

	public:
		GMMFactory();
		virtual ~GMMFactory();

		virtual void setNumDims(unsigned D);
		virtual void setNumComponents(unsigned K);

		virtual Network makeNetwork();
		virtual void makeNetwork(Network &network);
	};

}

#endif	/* GMMFACTORY_HPP */

