/*
 *
 * Evaluation and beck-prop can be done simultaneously for each node in a layer.
 * We can use openMP for parallel processing.
 * If not desired, deactivate by setting MULTITHREADING =
 *
 */


#ifndef MULTITHREADING

#define	MULTITHREADING 1
#define NUM_THREADS 2

#if MULTITHREADING == 1
#include "omp.h"
#endif


#endif	/* MULTITHREADING */

