/*
 *
 * Options for PD learning
 *
 */

#ifndef OPTIONS_HPP
#define	OPTIONS_HPP

#include "DataSource.hpp"

namespace SPN {

	class Options {
	public:
		unsigned maxIter;
		double stopping_objMinRelChange;
		double stopping_objMinAbsChange;
		DataSource *validationDataSource;
		double sparsePrior;
		unsigned sparsePriorAnneal;
		double smoothCount;
		int incrEM_batchSize;
		unsigned earlyStoppingKrel;
		unsigned earlyStoppingKabs;
	};

}

#endif	/* OPTIONS_HPP */

