
#include "Layer.hpp"

namespace SPN {

	SumLayer::SumLayer() : Layer(SUM_LAYER) {
	}

	SumLayer::~SumLayer() {
	}
	
	SumNode* SumLayer::getNode(size_t idx) {
		return (SumNode*)Layer::getNode(idx);
	}

	void SumLayer::initWeightsRand() {
		for (unsigned k = 0; k < getNumNodes(); k++)
			getNode(k)->initWeightsRand();
	}

	SumNode* SumLayer::operator() (size_t idx) {
		return getNode(idx);
	}

}