function [y1,y2] = makeSameLength(x1,x2,ZeroPad)

L1 = length(x1);
L2 = length(x2);

y1 = x1;
y2 = x2;

if L1 > L2
    if ZeroPad == 0
        y1 = x1(1:L2);        
    else        
        y2=[x2; zeros(L1-L2,1)];
    end
elseif L2 > L1
    if ZeroPad == 0       
        y2 = x2(1:L1);
    else
        y1=[x1; zeros(L2-L1,1)];       
    end
end
