
#include "Node.hpp"

namespace SPN {

	ValNode::ValNode(double val) : Node(VAL_NODE) {
		logVal_ = log(val);
	}

	ValNode::ValNode() : Node(VAL_NODE) {
		logVal_ = -inf;
	}

	ValNode::~ValNode() {
	}

	void ValNode::eval() {
	}

	double ValNode::getLog_Dval_Dchild(Node *child) {
		return -inf;
	}

	void ValNode::setVal(double val) {
		val_ = val;
	}

	double ValNode::getVal() const {
		return val_;
	}

	void ValNode::setLogVal(double logVal) {
		val_ = exp(logVal);
	}

	double ValNode::getLogVal() const {
		return log(val_);
	}

}
